Subject: Re: [alto] Normative References in draft-ietf-alto-performance-metrics-12

From: Qin Wu <[email-masked]>
Date: Tue, 12 Jan 2021 06:43:13 +0000

Hi, Jan and authors of draft-ietf-alto-performance-metrics:
-----邮件原件-----
发件人: alto [mailto:[email-masked]] 代表 Jan Seedorf
发送时间: 2020年11月12日 6:32
收件人: [email-masked]
主题: [alto] Normative References in draft-ietf-alto-performance-metrics-12

Dear authors of draft-ietf-alto-performance-metrics-12,

while reviewing the document, I notices the following issues with normative references:

1)    [I-D.ietf-idr-te-pm-bgp]
               Previdi, S., Wu, Q., Gredler, H., Ray, S.,
               [email-masked], j., Filsfils, C., and L. Ginsberg,
               "BGP-LS Advertisement of IGP Traffic Engineering
               Performance Metric Extensions", draft-ietf-idr-te-pm-
               bgp-03 (work in progress), May 2016.

--> This is an RFC by now, so please fix the ref
[Qin]: I think [I-D.ietf-idr-te-pm-bgp] has already been replaced by RFC8571 in the v-12 or earlier version.

2)    [I-D.ietf-ippm-initial-registry]
               Morton, A., Bagnulo, M., Eardley, P., and K. D'Souza,
               "Initial Performance Metric Registry Entries", draft-ietf-
               ippm-initial-registry-01 (work in progress), July 2016.

--> this draft is in version -016 by now, and also not a normative
reference; so please update the ref and move it to informative references

[Qin]: Agree, I have checked the reference, I found [I-D.ietf-ippm-initial-registry] has been quoted four times but I didn't find this reference section 9.1 or section 9.2, I think this issues should be fixed.
Also IDnits should be fixed as well,
https://www6.ietf.org/tools/idnits?url=https://www.ietf.org/archive/id/draft-ietf-alto-performance-metrics-13.txt
There are 3 nits errors which should be fixed.

Can you please address these issues as well when you address the WGLC 
comments received (see below)?

Thanks,

Jan

Am 08.11.20 um 22:56 schrieb Jan Seedorf:
> Dear all,
>
> this ends the WGLC for draft-ietf-alto-performance-metrics-12. No 
> objections on this document have been raised. Three individual reviews 
> have been done, the respective comments have each been posted on the 
> ALTO mailing list by Kai (Oct 10), Denny (Oct 12), and Jensen (Oct 
> 13). May I kindly ask the authors of the document to address these 
> comments ASAP and post a new version of the document?
>
> Thanks,
>
> Jan
>
> Am 28.09.20 um 18:42 schrieb Jan Seedorf:
>> Dear all,
>>
>> as discussed during the ALTO session at IETF-108, we are moving 
>> forward with all the remaining milestones.
>>
>> Thus, this email starts a WGLC for 
>> draft-ietf-alto-performance-metrics-12. The WGLC will run two weeks, 
>> so from today, Monday, September 28, until Monday, Oktober 12, 2020.
>>
>> We would like to have two individual reviews of this document as part 
>> of the WGLC. Please send us an email if you are willing review the 
>> draft as part of WGLC. We really need these reviews to make progress.
>>
>>  - Vijay and Jan
>>
>> _______________________________________________
>> alto mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/alto
>
> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto

_______________________________________________
alto mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/alto

---

From: "Y. Richard Yang" <[email-masked]>
Date: Wed, 13 Jan 2021 18:02:06 -0500

Hi Jan, Qin,

Please see below.

> RFC8571 in the v-12 or earlier version.

We no longer use this as a reference. So the issue is fixed.

> reference; so please update the ref and move it to informative references
[Qin]: Agree, I have checked the reference, I found
> [I-D.ietf-ippm-initial-registry] has been quoted four times but I didn't
> find this reference section 9.1 or section 9.2, I think this issues should
> be fixed.
>

Fixed. Added to informative and it looks to be the latest version -16.

Further note: I fixed the issue of [RFC8571].

> All nits except one nit are fixed. It suggested to add an IPv6 example,
and we already have IPv6 examples (e.g., Example 1). Since we added "ipv6:"
prefix, the tool did not detect such examples.

> comments received (see below)?
Thank you so much!

Richard